{% extends 'qrmedia/base.html' %}
{% load static %}
{% load i18n %}

{% block head %}
  <link rel="stylesheet" href="{% static 'qrmedia/css/autocomplete.css' %}">
{% endblock head %}

{% block content %}
  <div id="qr-generator" class="bg-light">
    <h1>{% trans "Traffic statistics" %}</h1>
    <div class="row">
      <div class="col-md-10">
        <!-- Project selector -->
        <div id="form-advanced">
          <div class="form-group row">
            <label for="form-project" class="col-sm-6 col-form-label">{% trans "Project tag" %}</label>
            <select class="custom-select col-sm-6" id="form-project">
              <option value=""></option>
              {% for project in projects %}
                <option {% if project.name == selected_project %} selected="selected"{% endif %}>
                    {{ project.name }}
                </option>
              {% endfor %}
            </select>
          </div>
        </div>
      </div>

    <div id="stats-project-app" class="col-md-12">
      <div v-if="seen">
        <h2>{% verbatim %}{{ projectName }}{% endverbatim %}</h2>
        <table class="table">
          <thead>
            <tr>
              <th>{% trans "Rank" %}</th>
              <th>{% trans "Panel" %}</th>
              <th>{% trans "Visits" %}</th>
            </tr>
          </thead>
          {% verbatim %}
          <tbody id="stats-panels">
            <tr v-for="panel in panels">
              <td>{{ panel.rank }}</td>
              <td><a v-bind:href=panel.url>{{ panel.name }}</a></td>
              <td>{{ panel.visits }}</td>
            </tr>
          </tbody>
          {% endverbatim %}
        </table>
      </div>
    </div>
  </div>
  </div>
{% endblock content %}

{% block footerjs %}
  <script type="text/javascript" src="{% static 'qrmedia/lib/vue.js' %}"></script>
  <script type="text/javascript" src="{% static 'qrmedia/js/stats.js' %}"></script>
{% endblock footerjs %}